Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Inventor
  Gestellgenerator - ändern Skizze - Bohrung bleibt aber

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
  
Gut zu wissen: Hilfreiche Tipps und Tricks aus der Praxis prägnant, und auf den Punkt gebracht für Autodesk Produkte
  
PDM Sucess Story: Von Vault zu GAIN Collaboration (GAIN Collaboration,PDM,PDM System,PLM,PLM System)
Autor Thema:  Gestellgenerator - ändern Skizze - Bohrung bleibt aber (188 mal gelesen)
Luke600
Mitglied



Sehen Sie sich das Profil von Luke600 an!   Senden Sie eine Private Message an Luke600  Schreiben Sie einen Gästebucheintrag für Luke600

Beiträge: 27
Registriert: 29.09.2021

erstellt am: 28. Mrz. 2024 14:54    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


vorAnderung.jpg


nachAnderung.jpg


DetailfalscheBohrung.jpg

 
Hallo zusammen,

ich hab wie üblich eine ipt-Datei als Skizze (Kombi aus 2d und 3d) dann in der iam mein Gestell soweit aufgebaut, dort ein paar Zusatzteile (Trapezbleche inkl. Bohrungen als ipt) eingefügt, und mittels "Schraubverbindung" Befehl dann die Schrauben eingefügt, sowie damit auch die Bohrungen erstellen lassen fürs Gestell (basierend auf den Bohrungen vom Trapezblech). Ändere ich nun die Skizze und positioniere diese Steher zb 50mm weiter vorne, wandert zwar das Gestell mit und auch die Trapezbleche (diese habe ich mit Abhängigkeit gemacht, sodass die Blechmittelachse mittig der Formrohr Mittelachse ist) und auch die Schrauben wandern mit (dazu gleich noch mehr), jedoch nicht die Bohrung in den waagrechten Formrohren, warum ist das so? Kann man das beheben? ich hab ja ganz bewusst auch die Bohrung mittels Schraubverbindung gemacht sodass das Ding dann leicht änderbar ist.

zu den Schrauben:
die eine Seite ging nicht mit da ich Depp die Schrauben von einer Seite gespiegelt hab und mit "Komponente fixieren" gespiegelt hab, jetzt bleiben die falsch. Ich habe aber mit "Beziehungen spiegeln" da oft keine so guten Erfahrungen gemacht, lieber war mir das fixieren - wie würdet ihr es dann richtig machen? (ich kann die falschen jetzt löschen und nochmals spiegeln dann passt das wieder - aber die falschen Bohrungen sind nicht so schnell behoben das nervt)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Luke600
Mitglied



Sehen Sie sich das Profil von Luke600 an!   Senden Sie eine Private Message an Luke600  Schreiben Sie einen Gästebucheintrag für Luke600

Beiträge: 27
Registriert: 29.09.2021

erstellt am: 28. Mrz. 2024 14:57    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

NACHTRAG:

die Schrauben haben sogar das bekannte "update" Symbol, öffne ich die Schraubverbindung und klicke einfach wieder auf OK, dann zieht er die Bohrung korrekt nach. Aber warum kann das Ding das nicht automatisch machen? verstehe ich nicht, eben weil die Schrauben ja schon mit wandern. Würde es ja verstehen wenn alles gleich falsch bliebe, aber nicht 50/50

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

rkauskh
Moderator
Dipl.-Ing. (FH) Versorgungstechnik




Sehen Sie sich das Profil von rkauskh an!   Senden Sie eine Private Message an rkauskh  Schreiben Sie einen Gästebucheintrag für rkauskh

Beiträge: 2438
Registriert: 15.11.2006

Windows 10 x64, AIP 2023

erstellt am: 29. Mrz. 2024 09:36    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Luke600 10 Unities + Antwort hilfreich

Moin

Die einfachste Erklärung lautet, dass Inventor ab einem bestimmten Punkt mit automatischen Aktualisierungen aufhört, da man sonst damit nicht mehr arbeiten könnte. Wenn jede Winzigänderung immer sofort ein komplettes Neuberechnen aller Modelle auslösen würde, wäre die DIVA ziemlich lahm. Man muss hier auch unterscheiden zwischen Modellaktualisierung (Bohrlöcher nachziehen) und Abhängigkeitsauflösung. Das deine Schraube, die eigentlich meines Wissens über iMates in der Bohrung hängt, mit dem Blech wandert klingt merkwürdig. Hast du an den Abhängigkeiten geändert?

Der Schraubengenerator erzeugt an der gewählten Position im Bauteil einen Skizzenpunkt ohne jegliche Abhängigkeiten. Vermutlich transformiert er über eine Matrix die im Dialog gewählten 3D-Koordinaten des Punktes in der Baugruppe in das Bauteil. Da liegt der Punkt dann und wird ein Bohrungszentrum. Ändert sich das Modell, kann das Bohrungszentrum nicht mitwandern, da es keine Abhängigkeit hat. Das Editieren über den Konstruktions-Assi erzeugt vermutlich im Hintergrund die Koordinaten des Skizzenpunktes neu und deshalb "hüpft" die Bohrung anschließend an die richtige Stelle.

Mir ist keine Option bekannt, die hier alles automatisch macht. Mit rechter Maustaste auf die Schraubverbindung und unter "Komponente" --> "Manuelles Auflösen" spart man sich zumindest den Dialog öffnen zu müssen. Oder man klimpert sich eben 3 Zeilen ilogic-Code zusammen, die das per Klick erledigt.

Code:

Option Explicit On

    Dim oApp As Inventor.Application = ThisApplication
   
    If Not oApp.ActiveDocumentType = kAssemblyDocumentObject Then
        Call MsgBox("Funktion nur in Baugruppen verfügbar.", vbCritical, "Schraubverindungen aktualisieren")
        Exit Sub
    End If
   
    Dim oAssDoc As AssemblyDocument = oApp.ActiveDocument
   
    Dim oAttrMan As AttributeManager = oAssDoc.AttributeManager
   
    Dim oObjColl As ObjectCollection = oAttrMan.FindObjects("FDesign")
   
    Dim oCD As ControlDefinition = oApp.CommandManager.ControlDefinitions.Item("FDSolveManual")

    Dim oObj As Object
    For Each oObj In oObjColl
        If oObj.Type = kComponentOccurrenceObject Then
            oAssDoc.SelectSet.Clear
            Call oAssDoc.SelectSet.Select(oObj)
            Call oCD.Execute
        End If
    Next


------------------
MfG
Ralf

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2024 CAD.de | Impressum | Datenschutz